#upcoming-events .container {
    display: grid;
    gap: 20px;
}

#upcoming-events[event-count="1"] .container,
#upcoming-events[event-count="2"] .container {
    grid-template-columns: 1fr;
}

#upcoming-events[event-count="3"] .container,
#upcoming-events.has-main-event[event-count="2"] .container {
    grid-template-columns: repeat(2, 1fr);
}

#upcoming-events .main-event {
    background-size: cover;
    border-radius: 14px;
    padding: 32px 25px 0;
    color: #ffffff;
    box-shadow: 0px 1.12px 1.28px -0.64px #00000033, 0px 0.8px 3.52px 0.64px #0000001F, 0px 1.92px 2.72px 0.32px #00000024;
}

#upcoming-events .main-event::before {
    content: attr(event-label);
    display: block;
    background: #3C5199;
    color: #ffffff !important;
    font-weight: 700;
    font-size: 16px;
    text-align: center;
    padding: 5px 24px;
    position: absolute;
    top: -35px;
    left: 20px;
    border-radius: 8px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

#upcoming-events .main-event .event-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#upcoming-events .main-event .event-logo {
    max-width: 250px;
    margin-bottom: 32px;
}

#upcoming-events .main-event .event-logo img {
    width: auto;
    margin-left: 0;
}

#upcoming-events .main-event .event-date {
    font-weight: 600;
    font-size: 14px;
    line-height: 1;
    margin-bottom: 12px;
}

#upcoming-events .main-event .event-title {
    color: #FFF;
    font-size: 24px;
    font-weight: 700;
    line-height: 1.3;
    letter-spacing: -0.25px;
    margin-bottom: 22px;
}

#upcoming-events .main-event .event-link {
    color: #ffffff;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 1.3;
    text-transform: uppercase;
}

#upcoming-events .main-event .event-link a {
    color: #ffffff !important;
}

#upcoming-events .main-event .event-link a i {
    margin-left: 5px;
    display: inline-block;
}

#upcoming-events .main-event .event-person {
    display: flex;
    justify-content: flex-end;
}

#upcoming-events .main-event .event-person img {
    margin-top: auto;
}

#upcoming-events:not([event-count="1"]) .main-event::before {
    display: none !important;
}

#upcoming-events:not([event-count="1"]) .main-event {
    padding-top: 10px;
    background-image: url('/media/2025/08/main-event-default-bg-2.svg') !important;
}

#upcoming-events:not([event-count="1"]) .main-event .event-logo {
    margin-top: 10px;
    margin-bottom: 10px;
}

#upcoming-events:not([event-count="1"]) .main-event .event-person img {
    max-width: 194px;
}

#upcoming-events[event-count="3"] .main-event,
#upcoming-events.has-main-event[event-count="2"] .main-event,
#upcoming-events:not(.has-main-event)[event-count="3"] .upcoming-event:first-of-type {
    grid-area: 1/1/2/3;
}

#upcoming-events .upcoming-event:not(.main-event) {
    display: flex;
    flex: 0 0 50%;
    background: #ffffff;
    border-radius: 14px;
    box-shadow: 0px 1.12px 1.28px -0.64px #00000033, 0px 0.8px 3.52px 0.64px #0000001F, 0px 1.92px 2.72px 0.32px #00000024;
    overflow: hidden;
}

#upcoming-events .upcoming-event:not(.main-event)>div {
    max-width: 50%;
}

#upcoming-events .upcoming-event:not(.main-event) .event-info {
    padding: 25px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#upcoming-events .upcoming-event:not(.main-event) .event-info .event-label {
    font-weight: 700;
    font-size: 15px;
    letter-spacing: 0px;
    color: #ff5000;
}

#upcoming-events .upcoming-event:not(.main-event) .event-info .event-date-time {
    font-weight: 700;
    font-size: 15px;
    letter-spacing: 0px;
    color: #808080;
}

#upcoming-events .upcoming-event:not(.main-event) .event-info .event-title {
    font-weight: 700;
    font-size: 20px;
    letter-spacing: -0.25px;
    line-height: 1.3;
    color: #121212;
    margin-top: 15px;
}

#upcoming-events .upcoming-event:not(.main-event) .event-info .event-link {
    margin-top: 15px;
    font-weight: 700;
    font-size: 18px;
    letter-spacing: 0px;
    color: #3C5199;
    text-transform: uppercase;
}

#upcoming-events[event-count="3"] .upcoming-event:not(.main-event),
#upcoming-events.has-main-event[event-count="2"] .upcoming-event:not(.main-event) {
    flex: 0 0 100%;
}

#upcoming-events[event-count="3"] .upcoming-event:not(.main-event)>div,
#upcoming-events.has-main-event[event-count="2"] .upcoming-event:not(.main-event)>div {
    max-width: 100%;
}

#upcoming-events.has-main-event[event-count="3"] .upcoming-event .event-image,
#upcoming-events.has-main-event[event-count="2"] .upcoming-event .event-image,
#upcoming-events[event-count="3"] .upcoming-event:not(:first-of-type) .event-image {
    display: none !important;
}

#upcoming-events[event-count="3"] .upcoming-event:not(.main-event) .event-info .event-link {
    margin-top: auto;
    margin-bottom: 0;
}

@media only screen and (max-width:767px) {
    #upcoming-events .main-event .event-person {
        display: none !important;
    }
}

@media only screen and (max-width:580px) {
    #upcoming-events[event-count="3"] .container {
        grid-template-columns: auto;
    }

    #upcoming-events[event-count="3"] .main-event {
        grid-area: auto;
    }
}